﻿using Model.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BizService
{
    public class BasicDevice : BaseService<bas_device>, IBasicDeviceService
    {
        public List<bas_device> FindAllDeviceByPrj(int projectId)
        {
            return base.GetList(x => x.project_id == projectId);
        }
        public bas_device FindADeviceByPrjAndName(int projectId, string deviceName)
        {
            return base.GetFirst(x =>(x.project_id == projectId)&&(x.device_name==deviceName));
        }

    }
}
