﻿using Model.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BizService
{
    public class BasicPlcTestSchemeService : BaseService<bas_plc_test_scheme>, IBasicPlcTestSchemeService
    {
        /// <summary>
        /// 根据方案名称查找
        /// </summary>
        /// <param name="schemeName"></param>
        /// <returns></returns>
        public bas_plc_test_scheme FindByName(string schemeName)
        {
            return base.GetFirst(x=>x.scheme_name==schemeName);
        }
        public List<bas_plc_test_scheme> FindAllByKind(string typeName)
        {
            return base.GetList(x => x.devicekind_name == typeName);
        }
        public bas_plc_test_scheme FindByNameAndType(string schemeName, string typeName)
        {
            return base.GetFirst(x =>(( x.scheme_name == schemeName)&&(x.devicekind_name == typeName)));
        }
    }
}
