﻿using Model.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BizService
{

    public class BasicProjectService : BaseService<bas_project>, IBasicProjectService
    {
        public List<string> FindAllProject()
        {
            return base.GetList().Select(x => x.project_name).ToList();
        }

        public bas_project FindByProjectName(string projectName)
        {
            return base.GetFirst(x => x.project_name == projectName);
        }
    }
}
