﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PLCTool.Common
{
    public  class PLCConnectionFactory
    {
        private static string plcType = ConfigurationManager.AppSettings["PLCType"];
        public static IPLCConnection CreatePLCCont()
        {
            switch (plcType)
            {
                case "1":
                    return FinsPLCConnection.Instance;
                case "2":
                    return MelsecPLCConnectioncs.Instance;
                default:
                    throw new ArgumentException("Unsupported PLC type");
            }
        }
    }
}
