﻿using Model.Dto;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PLCTool.Models
{
    public  class SelectUserDeviceModel : BaseDto
    {
        private int userId;
        public int UserId
        {
            get { return userId; }
            set { userId = value; OnPropertyChanged(); }
        }
        private int deviceId;
        public int DeviceId
        {
            get { return deviceId; }
            set { deviceId = value; OnPropertyChanged(); }
        }

        private string deviceName;
        public string DeviceName
        {
            get { return deviceName; }
            set { deviceName = value; OnPropertyChanged(); }
        }

        private string projectName;
        public string ProjectName
        {
            get { return projectName; }
            set { projectName = value; OnPropertyChanged(); }
        }
        

        private bool isSelected { get; set; }
        public bool IsSelected
        {
            get { return isSelected; }
            set { isSelected = value; OnPropertyChanged(); }
        }
        private string describe { get; set; }
        public string Describe
        {
            get { return describe; }
            set { describe = value; OnPropertyChanged(); }
        }
    }
}
