﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Model.Dto
{
    public  class DeviceDtlWithResultModel:BasDeviceDto
    {
        public long RecordId { get; set; }
        public DateTime StartTestTime { get; set; }

        public DateTime FinishTestTime { get; set; }

        public string SchemeName { get; set; }
        /// <summary>
        /// 测试方案ID
        /// </summary>
        public long SchemeId { get; set; }
        /// <summary>
        /// 测试模式
        /// </summary>
        public string TestMode { get; set; }
        public string TestResult { get; set; }

        /// <summary>
        /// Desc:测试记录明细状态。0：未测试。99：已测试。1 测试完成，2：测试未完成
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string TestStatus { get; set; }
    }
}
