﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BizService
{
    public interface IBaseService<TEntity> where TEntity : class, new()
    {
        bool Add(TEntity entity);
        bool Delete(int id);
        bool Edit(TEntity entity);
        TEntity Find(int id);
        List<TEntity> QueryList();
    }

}
