﻿using Model.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BizService
{
    public class RoleProjectService : BaseService<RoleProject>, IRoleProjectService
    {
        public List<RoleProject> FindAllByRoleId(int roleId)
        {
            return base.GetList(x => x.RoleId == roleId);
        }
        public RoleProject FindByRoleIdAndPro(int roleId, int projectId)
        {
            return base.GetFirst(x => (x.RoleId == roleId)&&(x.ProjectId==projectId));
        }
    }
}
