﻿using PLCTool.Models;

using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;
using System.Windows.Media;

namespace PLCTool.Controls.Convert
{
    public class ContentToBackgroundConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            // 根据内容返回不同的背景色
            TestResult content =(TestResult) value;
            switch (content)
            {
                case TestResult.NoPass:
                    //return new SolidColorBrush((Color)ColorConverter.ConvertFromString("#2684CB"));
                    return new SolidColorBrush(Colors.Red);
                case TestResult.Pass:
                    return new SolidColorBrush((Color)ColorConverter.ConvertFromString("#409EFF"));
                case TestResult.NoTest:
                    return new SolidColorBrush(Colors.Transparent);
                case TestResult.Testing:
                    return new SolidColorBrush((Color)ColorConverter.ConvertFromString("#409EFF"));
                default:
                    return new SolidColorBrush(Colors.Transparent);
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
